.. _../tft_configs/m5stack_core:

M5STACK CORE 320x240 (ILI9342)
==============================



tft_configs/m5stack_core/tft_config.py
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

.. literalinclude:: ../../../tft_configs/m5stack_core/tft_config.py
   :language: python
   :linenos:
   :lines: 1-


tft_configs/m5stack_core/tft_buttons.py
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

    Buttons class for examples, modify for your device.

    Attributes:
        name (str): The name of the device.
        left (Pin): The Pin object representing the left button.
        right (Pin): The Pin object representing the right button.
        fire (Pin): The Pin object representing the fire button.
        thrust (Pin): The Pin object representing the thrust button.
        hyper (Pin): The Pin object representing the hyper button.

.. literalinclude:: ../../../tft_configs/m5stack_core/tft_buttons.py
   :language: python
   :linenos:
   :lines: 1-

